/* Generated by powerful Codeforces Tool
 * Author: xxxodarap
 * Time: 2023-08-02 19:31
**/

#include<bits/stdc++.h>
using namespace std;

#define F(i, a, e) for(ll i = (a); i < (e); i++)
#define R(i, e) F(i, 0, e)

typedef long long ll;
typedef long double lf;
typedef complex<lf> cp;
typedef pair<int, int> pii;

const int MAXN = 2e5 + 5;
ll N;
string s;
int convert(int i){
    int num = 0;
    switch(s[i]){
        case 'A': num = 1; break;
        case 'B': num = 10; break;
        case 'C': num = 100; break;
        case 'D': num = 1000; break;
        case 'E': num = 10000; break;
        default:
                  cerr << "Problem" << endl;
    }
    return num;
}
ll experiment(int id, int value){
    ll res = 0, big = 0, num;
    for(int i = size(s) - 1; i >= 0; i--){
        if(id == i)
            num = value;
        else
            num = convert(i);
        if(num >= big)
            res += num;
        else
            res -= num;
        big = max(big, num);
    }
    /* fprintf(stderr, "try %d at %d gives %lld\n", value, id, res); */
    return res;
}

void solve(){
    // Code goes here ...
    cin >> s;

    // parsing first positions
    map<char, ll> firstid, lastid;
    F(i, 65, 70)
        firstid[i] = lastid[i] = -1;

    for(int i = size(s) - 1; i >= 0; i--){
        if(firstid[s[i]] == -1)
            firstid[s[i]] = i;
    }
    R(i, size(s))
        if(lastid[s[i]] == -1)
            lastid[s[i]] = i;

    // try all new values and recompute
    ll res = experiment(-1, 0);
    for(auto [c, id]: firstid){
        for(ll val: {1, 10, 100, 1000, 10000}){
            res = max(res, experiment(id, val));
        }
    }
    for(auto [c, id]: lastid){
        for(ll val: {1, 10, 100, 1000, 10000}){
            res = max(res, experiment(id, val));
        }
    }

    /* // find biggest letter after first E */
    /* ll bestid = 0; */
    /* if(firstid['E'] != -1){ */
    /*     ll id = firstid['E']; */
    /*     while(id > 0){ */
    /*         id--; */
    /*         if(convert(id) != 10000 and convert(id) >= convert(bestid)){ */
    /*             bestid = id; */
    /*         } */
    /*     } */
    /* } */
    /* /1* cerr << "To replace with E " << bestid << endl; *1/ */
    /* res = max(res, experiment(bestid, 10000)); */

    cout << res << endl;
}

int main(){
    ios_base::sync_with_stdio(false);
    cout << fixed << setprecision(8);
    int T;
    cin >> T;
    while(T--)
        solve();
}
        
